require 'shoot'

function love.load()
	--CONFIG
		love.graphics.setBackgroundColor(54, 172, 248)
		scrW = love.graphics.getWidth()
		scrH = love.graphics.getHeight()

	--VAR
		press = love.keyboard.isDown
		cursor = love.graphics.newImage("resources/img/snipper.png")
		gun = love.graphics.newImage("resources/img/gun.png")
 
		war = shoot.init(scrW/2,scrH/2,150)
		war.changeSprite("resources/img/bullet.png")

		rectX ,rectY = scrW/2-10, scrH/2-10
		minX ,maxX = 0,scrW - 50

end



function love.draw()

	-- VARIABLES DECLARATION
		mouseX, mouseY = love.mouse.getX(), love.mouse.getY()		--This is global because it is used in love.keypressed
		
		local curX, curY = mouseX - cursor:getWidth()/2, mouseY - cursor:getHeight()/2
		local angle = math.atan2((curY - rectY), (curX - rectX)) --calulate the angle between rect position and target position
		local flip
	-- LOGIC

		if press('right') and rectX < maxX then rectX = rectX + 2;war.changePos(rectX + 10,nil)
		elseif press('left')  and rectX > minX then rectX = rectX - 2;war.changePos(rectX + 10,nil)
		end

	--DRAWING
		love.graphics.setColor(255,255,255);
		love.graphics.rectangle("fill", rectX, rectY, 20, 20)
		war.draw() --draw bullets
		if angle < -1.57 or angle > 1.57 then
			flip = -1
		else
			flip = 1
		end

		love.graphics.setColor(255,255,255,255) --reset the color for display images
		love.graphics.draw(cursor,curX,curY)
		love.graphics.draw(gun,rectX+10,rectY+10,angle,1,flip)
		love.graphics.print('Soot class demo - Press esc to exit\nPress space or click to shoot',0,0)
end


function love.update(dt)
	war.update(dt)
end

function love.keypressed(key)
   if key == "escape" then
      love.event.quit()
   elseif key == "space" then
      war.fire(mouseX,mouseY)
   end
end
function love.touchpressed(none,x,y)
	mouseX, mouseY = x, y
	war.fire(x,y)
end